# /srv/nbgrader/nbgrader_config.py
c = get_config()

# 1. Course Configuration
c.CourseDirectory.course_id = "intro-to-python"  # Change to your course name
c.CourseDirectory.root = '/srv/nbgrader/courses'

# 2. Exchange Directory (for submitting/collecting assignments)
c.Exchange.root = '/srv/nbgrader/exchange'
c.Exchange.path_includes_course = True

# 3. JupyterHub Integration
#c.NbGrader.hub_url = 'http://jupyterhub:8081/hub/api'
#c.NbGrader.hubapi_token = 'your-hub-token'  # Generate with: openssl rand -hex 32

# 4. Database Configuration
c.StudentAssignmentNotebook.database_url = 'sqlite:////srv/nbgrader/nbgrader.sqlite'

# 5. Assignment Policies
c.ExecutePreprocessor.timeout = 300  # 5 minutes timeout per cell
c.ClearSolutions.code_stub = "# YOUR CODE HERE"
c.ClearSolutions.text_stub = "YOUR ANSWER HERE"

# 6. Formgrader UI Settings
c.FormgradeApp.port = 9999
c.FormgradeApp.authenticator_class = 'nbgrader.auth.hubauth.HubAuth'
c.FormgradeApp.ip = '0.0.0.0'

# 7. Permissions
c.CourseDirectory.groupshared = True
